Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

BentPlateGeometrySolver Class

BentPlateGeometrySolver is a solver class to handle ConnectiveGeometry modification related computations.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelBentPlateGeometrySolver

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
public sealed class BentPlateGeometrySolver

The BentPlateGeometrySolver type exposes the following members.

Constructors
  Name Description
Public method BentPlateGeometrySolver
Initializes a new instance of the BentPlateGeometrySolver class.
Top
Methods
  Name Description
Public method AddLeg(ConnectiveGeometry, Contour)
Appends a polygon section to ConnectiveGeometry, using the maximal radius for the cylindrical connection.
Public method AddLeg(ConnectiveGeometry, Contour, Double)
Appends a polygon section to this ConnectiveGeometry, using the specified radius for the cylindrical connection.
Public method AddLeg(ConnectiveGeometry, Contour, BentPlateBendShape)
Appends a polygon section to ConnectiveGeometry, using the maximal radius for the cylindrical connection, or the maximum cone aperture for conical connection.
Public method AddLeg(ConnectiveGeometry, LineSegment, Contour, LineSegment)
Appends a polygon section to this ConnectiveGeometry, using the specified connection points and maximal radius for the cylindrical connection.
Public method AddLeg(ConnectiveGeometry, Contour, Double, Double)
Joins a polygon section to this ConnectiveGeometry, using the specified radius and aperture for the conical connection.
Public method AddLeg(ConnectiveGeometry, LineSegment, Contour, LineSegment, Double)
Appends a polygon section to this ConnectiveGeometry, using the specified connection points and radius for the cylindrical connection.
Public method AddLeg(ConnectiveGeometry, LineSegment, Contour, LineSegment, BentPlateBendShape)
Appends a polygon section to this ConnectiveGeometry, using the specified connection points and maximal radius for the cylindrical connection, or maximum aperture for conical connection.
Public method AddLeg(ConnectiveGeometry, LineSegment, Contour, LineSegment, Double, Double)
Joins a polygon section to this ConnectiveGeometry, using the specified connection points and radius and aperture for the conical connection.
Public method ModifyBendSurface
Modifies the shape of a bend surface section, and updates related polygon sections accordingly.
Public method ModifyConicalRadiuses
Modify the radiuses of a conical section, preserving the length of the side boundaries. The order of the provided radiuses is not relevant, as the cone vertex will be located on the same side of the plates as the original cone section.
Public method ModifyCylindricalSurface
Modifies the shape of a cylindrical surface section, and updates related polygon sections accordingly.
Public method ModifyPolygon
Modify the shape of a polygon section, and updates related cylindrical sections accordingly.
Public method ModifyRadius
Modify the radius of a cylindrical section.
Public method RemoveLeg
Removes a polygon section which is the end section, from this ConnectiveGeometry including extensions and cylindrical surface.
Public method ScaleConeSection
Scale the shape of a conical section.
Public method SetBendAngle
Sets angle as the angle of curved section sectionToSetAngle and modifies geometry starting from sectionToMove.
Public method SetMainSection
Sets newMainSection as a main section of geometry.
Public method Split
Returns the resulting geometry or geometries when a section and the related automatically created sections are removed from this geometry.
Top
Examples
using Tekla.Structures.Geometry3d;
using Tekla.Structures.Model;

public class Example
{
    var contour1 = new Contour();
    contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 8500.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 6000.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 6000.0, 0.0), null));
    contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 8500.0, 0.0), null));
    var geometry = new ConnectiveGeometry(contour1);

    var contour2 = new Contour();
    contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 8500.0, 1000.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 6000.0, 1000.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 6000.0, 3500.0), null));
    contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 8500.0, 3500.0), null));

    var radius = 2000.0;
    var bentPlateGeometrySolver = new BentPlateGeometrySolver();
    var newGeometry = bentPlateGeometrySolver.AddLeg(geometry, contour2, radius);
}
See Also